Bug 504395 - rrdtool generating corrupted images
rrdtool generating corrupted images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rrdtool (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Ricker
Fedora Extras Quality Assurance
http://coldnuke.dyndns.org/ntp-testin...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 22:34 EDT by Matt Castelein
Modified: 2010-06-28 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2009-06-05 22:34:27 EDT
rrdtool has started generating these garbage images for one of my graphs.  I have cleared out the db but it came right back.  It appears to have the correct value but the graph itself is mutilated.
Comment 1 Jarod Wilson 2009-06-05 23:32:37 EDT
I'm assuming this is with rrdtool-1.3.8-1.fc10, which just got released into the updates repo, but please confirm that.
Comment 2 Matt Castelein 2009-06-06 12:25:39 EDT
Oh, sorry, I forgot to include that didn't I?  I have rrdtool-1.3.4-2.fc10.x86_64.. yum is telling me there are no updates.
Comment 3 Jarod Wilson 2009-06-06 18:13:58 EDT
Whoops, looks like 1.3.8-1.fc10 is still in updates-testing at the moment. But if you would, please update to that and see if the problem isn't fixed...
Comment 4 Matt Castelein 2009-06-06 18:30:52 EDT
It appears this may have something to do with the vertical scale of the graph in question, although I am uncertain why only two of the six are showing it.. at the moment the scale is reading in milliseconds, and the images are just fine.  I expect when it drops back to microseconds, they will go bad again, at which time I will apply the update and test.
Comment 5 Matt Castelein 2009-06-06 18:34:15 EDT
Maybe I do know why only the two dispersion graphs are affected.. They are the only two using --alt-autoscale.
Comment 6 Matt Castelein 2009-06-07 16:03:04 EDT
I have installed rrdtool-1.3.8-1.fc10.x86_64 from updates-testing, but this had no effect on this issue.  Removing "--alt-autoscale" from the script generating the graph fixes it, but also changes the y-axis values.
Comment 7 Matt Castelein 2009-06-12 16:05:07 EDT
I am making a copy of the files as they exist today, and changing the URL for this bug so I can continue working with the originals.
Comment 8 Matt Castelein 2009-07-06 10:13:15 EDT
This bug still exists in rrdtool-1.3.8-1.fc11.x86_64
Comment 9 Bug Zapper 2010-04-27 10:40:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:49:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.